import _extends from "@babel/runtime/helpers/esm/extends";
import React from 'react';
import PropTypes from 'prop-types';
import { field, createComponentMemo } from '../prop-types';
import MoleculeButtonGroup from '@s-ui/react-molecule-button-group';
import Button from '@s-ui/react-atom-button';

var InlineButton = function InlineButton(_ref) {
  var inlineButton = _ref.inlineButton,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      errors = _ref.errors,
      alerts = _ref.alerts;
  var errorMessages = errors[inlineButton.id];
  var alertMessages = alerts[inlineButton.id];

  var onClickHandler = function onClickHandler(value) {
    return onChange(inlineButton.id, value);
  };

  var inlineButtonProps = _extends({
    id: inlineButton.id,
    label: inlineButton.label,
    tabIndex: tabIndex
  }, inlineButton.disabled && {
    disabled: true
  }, {}, inlineButton.hidden && {
    hidden: true
  }, {}, !!errorMessages && {
    errorText: errorMessages.join('\n')
  }, {}, !!alertMessages && {
    alertText: alertMessages.join('\n')
  });

  if (inlineButtonProps.hidden) {
    return null;
  }

  return React.createElement("div", {
    className: "sui-FormBuilder-field sui-FormBuilder-InlineButton sui-FormBuilder-" + (inlineButtonProps.id || tabIndex)
  }, React.createElement(MoleculeButtonGroup, null, inlineButton == null ? void 0 : inlineButton.datalist.map(function (button) {
    return React.createElement(Button, {
      key: button.text,
      design: button.value === inlineButton.value ? 'solid' : 'outline',
      onClick: function onClick() {
        return onClickHandler(button.value);
      },
      isSubmit: false,
      isButton: true
    }, button.text);
  })));
};

InlineButton.displayName = 'InlineButton';
export default React.memo(InlineButton, createComponentMemo('inlineButton'));