import React from 'react';
import PropTypes from 'prop-types';
import Input from '../../../Input';
import TextArea from '../../../TextArea';
import { FIELDS, DISPLAYS } from '../../index';

var TextField = function TextField(_ref) {
  var field = _ref.field,
      tabIndex = _ref.tabIndex,
      onChange = _ref.onChange,
      onBlur = _ref.onBlur,
      errors = _ref.errors,
      alerts = _ref.alerts;
  if (field.display === DISPLAYS[FIELDS.TEXT].MULTILINE) return React.createElement(TextArea, {
    textArea: field,
    onChange: onChange,
    onBlur: onBlur,
    tabIndex: tabIndex,
    errors: errors,
    alerts: alerts
  });
  return React.createElement(Input, {
    input: field,
    onChange: onChange,
    onBlur: onBlur,
    tabIndex: tabIndex,
    errors: errors,
    alerts: alerts
  });
};

export default TextField;